[tool.poetry]
name = "ska-telmodel-data"
version = "1.0.1"
description = "SKA telescope model data"
authors = ["SKA Developers"]
license = "BSD-3-Clause"
repository = "https://gitlab.com/ska-telescope/ska-telmodel-data"

[[tool.poetry.source]]
name = "skao"
url = "https://artefact.skao.int/repository/pypi-internal/simple"
priority = "primary"

[[tool.poetry.source]]
name = "PyPI"
priority = "supplemental"

[tool.poetry.dependencies]
python = "^3.10.0"
docopt = "^0.6.2"
pykml = "^0.2.0"
numpy = "^1.24.2"
ska-telmodel = "^1.14.1"
astropy = "^5.2.2"
certifi = "^2023.11.17"
urllib3 = "^2.1.0"
charset-normalizer = "^3.3.2"
idna = "^3.6"
wrapt = "^1.16.0"

[tool.poetry.group.dev.dependencies]
build = "^0.7.0"
black = "^22.1.0"
pytest = "^7.0.1"
pytest-cov = "^3.0.0"
pytest-json-report = "^1.4.1"
pytest-pylint = "^0.18.0"
pylint-junit = "^0.3.2"
recommonmark = "^0.7.1"
flake8 = "^3.9.0"
pylint = "^2.15.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 79
